<!DOCTYPE html>
<html lang="en">
  <head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Responsive Bootstrap 4 Dashboard and Admin Template">
    <meta name="author" content="ThemePixels">

    <!-- Favicon -->
    <link rel="shortcut icon" type="image/x-icon" href="../assets/img/favicon.png">

    <title>Cassie Responsive Bootstrap 4 Dashboard and Admin Template</title>

    <!-- vendor css -->
    <link href="../lib/@fortawesome/fontawesome/css/all.min.css" rel="stylesheet">
    <link href="../lib/ionicons/css/ionicons.min.css" rel="stylesheet">
    <link href="../lib/prismjs/themes/prism-tomorrow.css" rel="stylesheet">
    <link href="../lib/quill/quill.core.css" rel="stylesheet">
    <link href="../lib/quill/quill.snow.css" rel="stylesheet">
    <link href="../lib/quill/quill.bubble.css" rel="stylesheet">

    <!-- template css -->
    <link rel="stylesheet" href="../assets/css/cassie.css">

  </head>
  <body data-spy="scroll" data-target="#navSection" data-offset="100">

    <div class="sidebar">
      <div class="sidebar-header">
        <div>
          <a href="../index.html" class="sidebar-logo"><span>cassie</span></a>
          <small class="sidebar-logo-headline">Responsive Dashboard Template</small>
        </div>
      </div><!-- sidebar-header -->
      <div id="dpSidebarBody" class="sidebar-body">
        <ul class="nav nav-sidebar">
          <li class="nav-label"><label class="content-label">Template Pages</label></li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="box"></i> Dashboard</a>
            <nav class="nav nav-sub">
              <a href="../pages/dashboard-one.html" class="nav-sub-link">Analytics &amp; Monitoring</a>
              <a href="../pages/dashboard-two.html" class="nav-sub-link">Projects &amp; Web Services</a>
              <a href="../pages/dashboard-three.html" class="nav-sub-link">Blog &amp; Social Media</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="layout"></i> App Pages</a>
            <nav class="nav nav-sub">
              <a href="../pages/app-calendar.html" class="nav-sub-link">Calendar</a>
              <a href="../pages/app-chat.html" class="nav-sub-link">Chat</a>
              <a href="../pages/app-mail.html" class="nav-sub-link">Mail</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="lock"></i> Authentication</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-signin.html" class="nav-sub-link">Sign In</a>
              <a href="../pages/page-signup.html" class="nav-sub-link">Sign Up</a>
              <a href="../pages/page-forgot.html" class="nav-sub-link">Forgot Password</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="x-circle"></i> Error Pages</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-404.html" class="nav-sub-link">Page Not Found</a>
              <a href="../pages/page-500.html" class="nav-sub-link">Internal Server Error</a>
              <a href="../pages/page-503.html" class="nav-sub-link">Service Unavailable</a>
              <a href="../pages/page-505.html" class="nav-sub-link">Forbidden Access</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="user"></i> User Pages</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-profile.html" class="nav-sub-link">User Profile</a>
              <a href="../pages/page-timeline.html" class="nav-sub-link">Timeline</a>
              <a href="../pages/page-people.html" class="nav-sub-link">People</a>
              <a href="../pages/page-settings.html" class="nav-sub-link">Profile Settings</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="file-text"></i> Extras</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-invoice.html" class="nav-sub-link">Invoice</a>
              <a href="../pages/page-pricing.html" class="nav-sub-link">Pricing</a>
            </nav>
          </li>
          <li class="nav-label"><label class="content-label">UI Design Library</label></li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="book"></i> Content</a>
            <nav class="nav nav-sub">
              <a href="con-grid.html" class="nav-sub-link">Grid System</a>
              <a href="con-icons.html" class="nav-sub-link">Icons</a>
              <a href="con-images.html" class="nav-sub-link">Images</a>
              <a href="con-typography.html" class="nav-sub-link">Typography</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="layers"></i> Components</a>
            <nav class="nav nav-sub">
              <a href="com-accordion.html" class="nav-sub-link">Accordion</a>
              <a href="com-alerts.html" class="nav-sub-link">Alerts</a>
              <a href="com-avatar.html" class="nav-sub-link">Avatar</a>
              <a href="com-badge.html" class="nav-sub-link">Badge</a>
              <a href="com-breadcrumbs.html" class="nav-sub-link">Breadcrumbs</a>
              <a href="com-buttons.html" class="nav-sub-link">Buttons</a>
              <a href="com-button-groups.html" class="nav-sub-link">Button Groups</a>
              <a href="com-cards.html" class="nav-sub-link">Cards</a>
              <a href="com-carousel.html" class="nav-sub-link">Carousel</a>
              <a href="com-collapse.html" class="nav-sub-link">Collapse</a>
              <a href="com-dropdown.html" class="nav-sub-link">Dropdown</a>
              <a href="com-list-group.html" class="nav-sub-link">List Group</a>
              <a href="com-marker.html" class="nav-sub-link">Marker</a>
              <a href="com-media-object.html" class="nav-sub-link">Media Object</a>
              <a href="com-modal.html" class="nav-sub-link">Modal</a>
              <a href="com-navs.html" class="nav-sub-link">Navs</a>
              <a href="com-navbar.html" class="nav-sub-link">Navbar</a>
              <a href="com-off-canvas.html" class="nav-sub-link">Off-Canvas</a>
              <a href="com-pagination.html" class="nav-sub-link">Pagination</a>
              <a href="com-placeholder.html" class="nav-sub-link">Placeholder</a>
              <a href="com-popovers.html" class="nav-sub-link">Popovers</a>
							<a href="com-progress.html" class="nav-sub-link">Progress</a>
              <a href="com-steps.html" class="nav-sub-link">Steps</a>
              <a href="com-scrollbar.html" class="nav-sub-link">Scrollbar</a>
              <a href="com-scrollspy.html" class="nav-sub-link">Scrollspy</a>
              <a href="com-spinners.html" class="nav-sub-link">Spinners</a>
              <a href="com-tab.html" class="nav-sub-link">Tab</a>
              <a href="com-toast.html" class="nav-sub-link">Toast </a>
              <a href="com-tooltips.html" class="nav-sub-link">Tooltips</a>
              <a href="com-table-basic.html" class="nav-sub-link">Table Basic</a>
              <a href="com-table-advanced.html" class="nav-sub-link">Table (Datatable)</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="monitor"></i> Utilities</a>
            <nav class="nav nav-sub">
              <a href="util-animation.html" class="nav-sub-link">Animation</a>
              <a href="util-background.html" class="nav-sub-link">Background</a>
              <a href="util-border.html" class="nav-sub-link">Border</a>
              <a href="util-display.html" class="nav-sub-link">Display</a>
              <a href="util-divider.html" class="nav-sub-link">Divider</a>
              <a href="util-flex.html" class="nav-sub-link">Flex</a>
              <a href="util-height.html" class="nav-sub-link">Height</a>
              <a href="util-margin.html" class="nav-sub-link">Margin</a>
              <a href="util-padding.html" class="nav-sub-link">Padding</a>
              <a href="util-position.html" class="nav-sub-link">Position</a>
              <a href="util-typography.html" class="nav-sub-link">Typography</a>
              <a href="util-width.html" class="nav-sub-link">Width</a>
              <a href="util-extras.html" class="nav-sub-link">Extras</a>
            </nav>
          </li>
          <li class="nav-item show">
            <a href="" class="nav-link with-sub active"><i data-feather="life-buoy"></i> Forms</a>
            <nav class="nav nav-sub">
              <a href="form-elements.html" class="nav-sub-link">Form Elements</a>
              <a href="form-input-group.html" class="nav-sub-link">Input Group</a>
              <a href="form-input-tags.html" class="nav-sub-link">Input Tags</a>
              <a href="form-input-masks.html" class="nav-sub-link">Input Masks</a>
              <a href="form-validation.html" class="nav-sub-link">Form Validation</a>
              <a href="form-wizard.html" class="nav-sub-link">Form Wizard</a>
              <a href="form-text-editor.html" class="nav-sub-link active">Text Editor</a>
              <a href="form-rangeslider.html" class="nav-sub-link">Range Slider</a>
              <a href="form-datepicker.html" class="nav-sub-link">Date Pickers</a>
              <a href="form-select2.html" class="nav-sub-link">Select2</a>
              <a href="form-search.html" class="nav-sub-link">Search</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="pie-chart"></i> Charts</a>
            <nav class="nav nav-sub">
              <a href="chart-flot.html" class="nav-sub-link">Flot</a>
              <a href="chart-chartjs.html" class="nav-sub-link">ChartJS</a>
              <a href="chart-peity.html" class="nav-sub-link">Peity</a>
              <a href="chart-sparkline.html" class="nav-sub-link">Sparkline</a>
              <a href="chart-morris.html" class="nav-sub-link">Morris</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="map-pin"></i> Maps</a>
            <nav class="nav nav-sub">
              <a href="map-google.html" class="nav-sub-link">Google Maps</a>
              <a href="map-leaflet.html" class="nav-sub-link">Leaflet Maps</a>
              <a href="map-vector.html" class="nav-sub-link">Vector Maps</a>
            </nav>
          </li>
        </ul>

        <hr class="mg-t-30 mg-b-25">

        <ul class="nav nav-sidebar">
          <li class="nav-item"><a href="../pages/themes.html" class="nav-link"><i data-feather="aperture"></i> Themes</a></li>
          <li class="nav-item"><a href="../docs.html" class="nav-link"><i data-feather="help-circle"></i> Documentation</a></li>
        </ul>


      </div><!-- sidebar-body -->
    </div><!-- sidebar -->

    <div class="content">
      <div class="header">
        <div class="header-left">
          <a href="" class="burger-menu"><i data-feather="menu"></i></a>

          <div class="header-search">
            <i data-feather="search"></i>
            <input type="search" class="form-control" placeholder="What are you looking for?">
          </div><!-- header-search -->
        </div><!-- header-left -->

        <div class="header-right">
          <a href="" class="header-help-link"><i data-feather="help-circle"></i></a>
          <div class="dropdown dropdown-notification">
            <a href="" class="dropdown-link new" data-toggle="dropdown"><i data-feather="bell"></i></a>
            <div class="dropdown-menu dropdown-menu-right">
              <div class="dropdown-menu-header">
                <h6>Notifications</h6>
                <a href=""><i data-feather="more-vertical"></i></a>
              </div><!-- dropdown-menu-header -->
              <div class="dropdown-menu-body">
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle text-primary bg-primary-light">s</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Socrates Itumay</strong> marked the task as completed.</p>
                    <span>5 hours ago</span>
                  </div>
                </a>
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle tx-pink bg-pink-light">r</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Reynante Labares</strong> marked the task as incomplete.</p>
                    <span>8 hours ago</span>
                  </div>
                </a>
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle tx-success bg-success-light">d</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Dyanne Aceron</strong> responded to your comment on this <strong>post</strong>.</p>
                    <span>a day ago</span>
                  </div>
                </a>
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle tx-indigo bg-indigo-light">k</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Kirby Avendula</strong> marked the task as incomplete.</p>
                    <span>2 days ago</span>
                  </div>
                </a>
              </div><!-- dropdown-menu-body -->
              <div class="dropdown-menu-footer">
                <a href="">View All Notifications</a>
              </div>
            </div><!-- dropdown-menu -->
          </div>
          <div class="dropdown dropdown-loggeduser">
            <a href="" class="dropdown-link" data-toggle="dropdown">
              <div class="avatar avatar-sm">
                <img src="https://via.placeholder.com/500/637382/fff" class="rounded-circle" alt="">
              </div><!-- avatar -->
            </a>
            <div class="dropdown-menu dropdown-menu-right">
              <div class="dropdown-menu-header">
                <div class="media align-items-center">
                  <div class="avatar">
                    <img src="https://via.placeholder.com/500/637382/fff" class="rounded-circle" alt="">
                  </div><!-- avatar -->
                  <div class="media-body mg-l-10">
                    <h6>Louise Kate Lumaad</h6>
                    <span>Administrator</span>
                  </div>
                </div><!-- media -->
              </div>
              <div class="dropdown-menu-body">
                <a href="" class="dropdown-item"><i data-feather="user"></i> View Profile</a>
                <a href="" class="dropdown-item"><i data-feather="edit-2"></i> Edit Profile</a>
                <a href="" class="dropdown-item"><i data-feather="briefcase"></i> Account Settings</a>
                <a href="" class="dropdown-item"><i data-feather="shield"></i> Privacy Settings</a>
                <a href="" class="dropdown-item"><i data-feather="log-out"></i> Sign Out</a>
              </div>
            </div><!-- dropdown-menu -->
          </div>
        </div><!-- header-right -->
      </div><!-- header -->
      <div class="content-header">
        <div>
          <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
              <li class="breadcrumb-item"><a href="#">UI Library</a></li>
              <li class="breadcrumb-item"><a href="#">Forms</a></li>
              <li class="breadcrumb-item active" aria-current="page">Text Editor</li>
            </ol>
          </nav>
          <h4 class="content-title">Text Editor</h4>
        </div>
      </div><!-- content-header -->
      <div class="content-right content-right-components">
        <label>On This Page</label>
        <nav id="navSection" class="nav flex-column">
          <a href="#section1" class="nav-link">Basic Format</a>
          <a href="#section2" class="nav-link">Show/Hide Format</a>
          <a href="#section3" class="nav-link">Inline Edit</a>
          <a href="#section4" class="nav-link">Inside Modal</a>
        </nav>
      </div><!-- content-right -->
      <div class="content-body content-body-components">
        <p class="content-lead">Quill is a free, open source WYSIWYG editor built for the modern web. With its modular architecture and expressive API, it is completely customizable to fit any need. Read the <a href="https://quilljs.com/docs/quickstart/" target="_blank">Official Quill Documentation</a> for a full list of instructions and other options.</p>

        <div class="component-section no-code">
          <h5 id="section1" class="tx-semibold">Basic Format</h5>
          <p class="mg-b-25">By default all formats are enabled and allowed to exist within a Quill editor and can be configured with the formats option.</p>

          <div id="toolbar-container" class="bg-white">
            <span class="ql-formats">
              <select class="ql-font"></select>
              <select class="ql-size"></select>
            </span>
            <span class="ql-formats">
              <button class="ql-bold"></button>
              <button class="ql-italic"></button>
              <button class="ql-underline"></button>
              <button class="ql-strike"></button>
            </span>
            <span class="ql-formats">
              <select class="ql-color"></select>
              <select class="ql-background"></select>
            </span>
            <span class="ql-formats">
              <button class="ql-script" value="sub"></button>
              <button class="ql-script" value="super"></button>
            </span>
            <span class="ql-formats">
              <button class="ql-header" value="1"></button>
              <button class="ql-header" value="2"></button>
              <button class="ql-blockquote"></button>
              <button class="ql-code-block"></button>
            </span>
            <span class="ql-formats">
              <button class="ql-list" value="ordered"></button>
              <button class="ql-list" value="bullet"></button>
              <button class="ql-indent" value="-1"></button>
              <button class="ql-indent" value="+1"></button>
            </span>
            <span class="ql-formats">
              <button class="ql-direction" value="rtl"></button>
              <select class="ql-align"></select>
            </span>
            <span class="ql-formats">
              <button class="ql-link"></button>
              <button class="ql-image"></button>
              <button class="ql-video"></button>
              <button class="ql-formula"></button>
            </span>
            <span class="ql-formats">
              <button class="ql-clean"></button>
            </span>
          </div>
          <div id="editor-container" class="bg-white ht-200">
            <strong>Quill</strong> is a free, <a href="#">open source</a> WYSIWYG editor built for the modern web. With its modular architecture and expressive API, it is completely customizable to fit any need.
          </div>
        </div><!-- component-section -->

        <div class="component-section no-code">
          <h5 id="section2" class="tx-semibold">Show/Hide Format</h5>
          <p class="mg-b-25">By default, all formats are enabled and allow to exist within the toolbar but you can configure it by including only formats that are needed. Below is an example of enabling formats only for what it's needed.</p>

          <div id="editor-container2" class="ht-200 mg-b-25">
            <strong>Quill</strong> is a free, <a href="#">open source</a> WYSIWYG editor built for the modern web. With its modular architecture and expressive API, it is completely customizable to fit any need.
          </div>
        </div><!-- component-section -->

        <div class="component-section no-code">
          <h5 id="section3" class="tx-semibold">Inline Edit</h5>
          <p class="mg-b-25">Quill text editor that can inline edit in a page.</p>

          <div class="pos-relative ht-350 mg-b-25">
            <div id="scrolling-container" class="pos-relative ht-100p mn-ht-100p bd bd-gray-300 overflow-hidden">
              <div id="quillInline" class="pd-20 pd-lg-50 pd-lg-l-35 ht-auto">
                <h2>Try to highlight me and edit</h2>
                <p><br></p>
                <p>Pippin looked out from the shelter of <a href="http://themepixels.me">Gandalf"s cloak</a>. He wondered if he was awake or still sleeping, still in the swift-moving dream in which he had been wrapped so long since the great ride began. The <a href="http://themeforest.net">dark world</a> was rushing by and the wind sang loudly in his ears. He could see nothing but the wheeling stars, and away to his right vast shadows against the sky where the mountains of the South marched past. Sleepily he tried to reckon the times and stages of their journey, but his memory was drowsy and uncertain.</p>
              </div>
            </div>
          </div>
        </div><!-- component-section -->

        <div class="component-section no-code">
          <h5 id="section4" class="tx-semibold">Inside Modal</h5>
          <p class="mg-b-25">Quill text editor that wrap inside a modal.</p>

          <button class="btn btn-dark" data-toggle="modal" data-target="#modalEditor">View Modal</button>
        </div><!-- component-section -->

      </div><!-- content-body -->

      <div class="content-footer">
        &copy; 2019. All Rights Reserved. Created by <a href="http://themepixels.me" target="_blank">ThemePixels</a>
      </div><!-- content-footer -->
    </div><!-- content -->

    <div id="modalEditor" class="modal">
      <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header pd-y-15 pd-x-20 bd-b-0">
            <h6 class="modal-title">Editor in Modal</h6>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true"><i data-feather="x"></i></span>
            </button>
          </div><!-- modal-header -->
          <div class="modal-body pd-0">
            <div class="d-flex flex-column ht-250">
              <div id="quillEditorModal" class="flex-1 overflow-y-auto">
                <p><strong>Quill</strong> is a free, open source <a href="https://github.com/quilljs/quill/">WYSIWYG editor</a> built for the modern web. With its <a href="https://quilljs.com/docs/modules/">modular architecture</a> and expressive API, it is completely customizable to fit any need.</p>

              </div>
            </div>
          </div><!-- modal-body -->
          <div class="modal-footer pd-y-15 pd-x-20 bd-t-0 tx-14">
            <button type="button" class="btn btn-dark">Save changes</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          </div>
        </div><!-- modal-content -->
      </div><!-- modal-dialog -->
    </div><!-- modal -->

    <script src="../lib/jquery/jquery.min.js"></script>
    <script src="../lib/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="../lib/feather-icons/feather.min.js"></script>
    <script src="../lib/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="../lib/prismjs/prism.js"></script>
    <script src="../lib/quill/quill.min.js"></script>
    <script src="../lib/js-cookie/js.cookie.js"></script>

    <script src="../assets/js/cassie.js"></script>
    <script>
      $(function(){
        'use strict'

        var quill = new Quill('#editor-container', {
          modules: {
            toolbar: '#toolbar-container'
          },
          placeholder: 'Compose an epic...',
          theme: 'snow'
        });

        var quill2 = new Quill('#editor-container2', {
          modules: {
            toolbar: [
              ['bold', 'italic'],
              ['link', 'blockquote', 'code-block', 'image'],
              [{ list: 'ordered' }, { list: 'bullet' }]
            ]
          },
          placeholder: 'Compose an epic...',
          theme: 'snow'
        });

        // Inline Edit
        var quillInline = new Quill('#quillInline', {
          modules: {
            toolbar: [
              ['bold', 'italic', 'underline'],
              [{ 'header': 1 }, { 'header': 2 }, 'blockquote'],
              ['link', 'image', 'code-block'],
            ]
          },
          bounds: '#quillInline',
          scrollingContainer: '#scrolling-container',
          placeholder: 'Write something...',
          theme: 'bubble'
        });

        const ps = new PerfectScrollbar('#scrolling-container', {
          suppressScrollX: true
        });

        // Editor in Modal
        var quillModal2 = new Quill('#quillEditorModal', {
          modules: {
            toolbar: [
              ['bold', 'italic', 'underline'],
              [{ 'header': 1 }, { 'header': 2 }, 'blockquote'],
              ['link', 'image', 'code-block'],
            ]
          },
          theme: 'snow'
        });

      });
    </script>
  </body>
</html>
